<?php

namespace App\Entity;

use App\Repository\FormulesProductInclusRepository;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: FormulesProductInclusRepository::class)]
class FormulesProductInclus
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'formulesProductIncluses')]
    private ?Formules $formules = null;

    #[ORM\ManyToOne(inversedBy: 'formulesProductIncluses')]
    private ?Product $PRODUCT = null;

    #[ORM\Column(type: Types::JSON)]
    private array $config = [];

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getFormules(): ?Formules
    {
        return $this->formules;
    }

    public function setFormules(?Formules $formules): static
    {
        $this->formules = $formules;

        return $this;
    }

    public function getPRODUCT(): ?Product
    {
        return $this->PRODUCT;
    }

    public function setPRODUCT(?Product $PRODUCT): static
    {
        $this->PRODUCT = $PRODUCT;

        return $this;
    }

    public function getConfig(): array
    {
        return $this->config;
    }

    public function setConfig(array $config): static
    {
        $this->config = $config;

        return $this;
    }
}
